Bug 642160 - dpkg-architecture output error messages (with a fix)
Summary: dpkg-architecture output error messages (with a fix)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dpkg
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Andrew Colin Kissa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 591190 961141
TreeView+ depends on / blocked
 
Reported: 2010-10-12 08:48 UTC by Oron Peled
Modified: 2013-05-08 22:08 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-10-17 11:42:16 UTC


Attachments (Terms of Use)
Handle empty output from 'dpkg --print-architecture` (445 bytes, patch)
2010-10-12 08:48 UTC, Oron Peled
no flags Details | Diff

Description Oron Peled 2010-10-12 08:48:25 UTC
Created attachment 452907 [details]
Handle empty output from 'dpkg --print-architecture`

Description of problem:
dpkg-architecture output error messages for all "build" architecture
variables.

Version-Release number of selected component (if applicable):
dpkg-devel-1.15.5.6-4.fc13.noarch

How reproducible:
Just run dpkg-architecture without arguments.

Actual results:
Use of uninitialized value $v{"DEB_BUILD_GNU_TYPE"} in split at /usr/bin/dpkg- architecture line 183.
 DEB_BUILD_ARCH=
Use of uninitialized value $v{"DEB_BUILD_ARCH_OS"} in concatenation (.) or  string at /usr/bin/dpkg-architecture line 194.
 DEB_BUILD_ARCH_OS=
Use of uninitialized value $v{"DEB_BUILD_ARCH_CPU"} in concatenation (.) or  string at /usr/bin/dpkg-architecture line 194.
 DEB_BUILD_ARCH_CPU=
Use of uninitialized value $v{"DEB_BUILD_ARCH_BITS"} in concatenation (.) or  string at /usr/bin/dpkg-architecture line 194.
 DEB_BUILD_ARCH_BITS=
Use of uninitialized value $v{"DEB_BUILD_ARCH_ENDIAN"} in concatenation (.) or  string at /usr/bin/dpkg-architecture line 194.
 DEB_BUILD_ARCH_ENDIAN=
Use of uninitialized value $v{"DEB_BUILD_GNU_CPU"} in concatenation (.) or  string at /usr/bin/dpkg-architecture line 194.
 DEB_BUILD_GNU_CPU=
Use of uninitialized value $v{"DEB_BUILD_GNU_SYSTEM"} in concatenation (.) or  string at /usr/bin/dpkg-architecture line 194.
 DEB_BUILD_GNU_SYSTEM=
Use of uninitialized value $v{"DEB_BUILD_GNU_TYPE"} in concatenation (.) or  string at /usr/bin/dpkg-architecture line 194.
 DEB_BUILD_GNU_TYPE=
 DEB_HOST_ARCH=i386
 DEB_HOST_ARCH_OS=linux
 DEB_HOST_ARCH_CPU=i386
 DEB_HOST_ARCH_BITS=32
 DEB_HOST_ARCH_ENDIAN=little
 DEB_HOST_GNU_CPU=i486
 DEB_HOST_GNU_SYSTEM=linux-gnu
 DEB_HOST_GNU_TYPE=i486-linux-gnu

Expected results:
DEB_BUILD_ARCH=i386
DEB_BUILD_ARCH_OS=linux
DEB_BUILD_ARCH_CPU=i386
DEB_BUILD_ARCH_BITS=32
DEB_BUILD_ARCH_ENDIAN=little
DEB_BUILD_GNU_CPU=i486
DEB_BUILD_GNU_SYSTEM=linux-gnu
DEB_BUILD_GNU_TYPE=i486-linux-gnu
DEB_HOST_ARCH=i386
DEB_HOST_ARCH_OS=linux
DEB_HOST_ARCH_CPU=i386
DEB_HOST_ARCH_BITS=32
DEB_HOST_ARCH_ENDIAN=little
DEB_HOST_GNU_CPU=i486
DEB_HOST_GNU_SYSTEM=linux-gnu
DEB_HOST_GNU_TYPE=i486-linux-gnu

Additional info:
$ uname -m
i686

$ rpmquery gcc
gcc-4.4.4-10.fc13.i686

Attached a minimal patch that makes the output usable.

Comment 1 Jeroen van Meeuwen 2010-10-17 11:42:16 UTC
The benefits of being a proven packager.

Modified the patch just a teeny bit (-p1 and such), applied, committed, pushed and built to rawhide, f14 and f13, el6 and el5.

Waiting for the builds to complete to push the updates, and so forth.


Note You need to log in before you can comment on or make changes to this bug.